Package org.eclipse.birt.chart.computation

# Interface IConstants

All Known Subinterfaces:
  `ITextRenderer`

All Known Implementing Classes:
  `AllAxes`, `AutoScale`, `AxesAdjuster`, `DataSetAdapter`, `Engine3D`, `IntersectionValue`, `LegendBuilder`, `Methods`, `PlotWith2DAxes`, `PlotWith3DAxes`, `PlotWithAxes`, `ScaleContext`, `TextRendererAdapter`

public interface IConstants
Defines all constants here.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ABOVE`
`static final int`
`ANCILLARY_AXIS`
`static final int`
`ANCILLARY_BASE`
`static final int`
`ARRAY`
`static final int`
`AUTO`
`static final int`
`AVERAGE`
`static final int`
`AXIS`
`static final int`
`BACKWARD`
`static final int`
`BASE`
`static final int`
`BASE_AXIS`
`static final int`
`BELOW`
`static final int`
`BIG_NUMBER_PRIMITIVE_ARRAY`
`static final int`
`BOOLEAN`
`static final int`
`BOTTOM`
`static final int`
`CENTER`
`static final int`
`COLLECTION`
`static final int`
`DATE_TIME`
`static final int`
`DESIGN_TIME`
`static final String`
`EMPTY_STRING`
`static final int`
`EQUAL`
`static final int`
`FORWARD`
`static final int`
`HORIZONTAL`
`static final int`
`INSIDE`
`static final int`
`LABELS`
`static final int`
`LEFT`
`static final int`
`LEGEND_ENTRY`
`static final int`
`LEGEND_GROUP_NAME`
`static final int`
`LEGEND_MINSLICE_ENTRY`
`static final int`
`LEGEND_SEPERATOR`
`static final int`
`LESS`
`static final int`
`LINE_EXPAND_DOUBLE_SIZE`
`static final int`
`LINE_EXPAND_SIZE`
`static final int`
`LINEAR`
`static final double`
`LOG_10`
`static final int`
`LOGARITHMIC`
`static final int`
`MAJOR`
`static final int`
`MAX`
`static final int`
`MIN`
`static final int`
`MINOR`
`static final int`
`MORE`
`static final int`
`NON_PRIMITIVE_ARRAY`
`static final String`
`NULL_STRING`
`static final int`
`NUMBER_PRIMITIVE_ARRAY`
`static final int`
`NUMERICAL`
`static final String`
`ONE_SPACE`
`static final int`
`ORTHOGONAL`
`static final int`
`ORTHOGONAL_AXIS`
`static final int`
`OTHER`
`static final int`
`OUTSIDE`
`static final int`
`PERCENT`
`static final int`
`POSITION_MASK`
Used to calculate base position via AND operation.
`static final int`
`POSITION_MOVE_ABOVE`
`static final int`
`POSITION_MOVE_BELOW`
`static final int`
`POSITION_MOVE_LEFT`
Used to adjust the position by one half of width or height.
`static final int`
`POSITION_MOVE_RIGHT`
`static final int`
`PRIMITIVE_ARRAY`
`static final int`
`RIGHT`
`static final int`
`RUN_TIME`
`static final int`
`SOME_NULL`
`static final int`
`TEXT`
`static final int`
`THREE_D`
`static final int`
`TICK_ABOVE`
`static final int`
`TICK_ACROSS`
`static final int`
`TICK_BELOW`
`static final int`
`TICK_LEFT`
`static final int`
`TICK_NONE`
`static final int`
`TICK_RIGHT`
`static final int`
`TICK_SIDE1`
`static final int`
`TICK_SIDE2`
`static final double`
`TICK_SIZE`
`static final int`
`TOP`
`static final int`
`TWO_5_D`
`static final int`
`TWO_D`
`static final int`
`UNDEFINED`
`static final String`
`UNDEFINED_STRING`
`static final int`
`USER_INTERFACE`
`static final int`
`VALUE`
`static final int`
`VERTICAL`

## Field Details

### LOG_10

static final double LOG_10

### LINE_EXPAND_SIZE

static final int LINE_EXPAND_SIZE

See Also:
  - Constant Field Values

### LINE_EXPAND_DOUBLE_SIZE

static final int LINE_EXPAND_DOUBLE_SIZE

See Also:
  - Constant Field Values

### TICK_SIZE

static final double TICK_SIZE

See Also:
  - Constant Field Values

### TICK_SIDE1

static final int TICK_SIDE1

See Also:
  - Constant Field Values

### TICK_SIDE2

static final int TICK_SIDE2

See Also:
  - Constant Field Values

### TICK_NONE

static final int TICK_NONE

See Also:
  - Constant Field Values

### TICK_LEFT

static final int TICK_LEFT

See Also:
  - Constant Field Values

### TICK_RIGHT

static final int TICK_RIGHT

See Also:
  - Constant Field Values

### TICK_ABOVE

static final int TICK_ABOVE

See Also:
  - Constant Field Values

### TICK_BELOW

static final int TICK_BELOW

See Also:
  - Constant Field Values

### TICK_ACROSS

static final int TICK_ACROSS

See Also:
  - Constant Field Values

### NUMERICAL

static final int NUMERICAL

See Also:
  - Constant Field Values

### LINEAR

static final int LINEAR

See Also:
  - Constant Field Values

### LOGARITHMIC

static final int LOGARITHMIC

See Also:
  - Constant Field Values

### DATE_TIME

static final int DATE_TIME

See Also:
  - Constant Field Values

### TEXT

static final int TEXT

See Also:
  - Constant Field Values

### BOOLEAN

static final int BOOLEAN

See Also:
  - Constant Field Values

### PERCENT

static final int PERCENT

See Also:
  - Constant Field Values

### OTHER

static final int OTHER

See Also:
  - Constant Field Values

### ARRAY

static final int ARRAY

See Also:
  - Constant Field Values

### AXIS

static final int AXIS

See Also:
  - Constant Field Values

### LABELS

static final int LABELS

See Also:
  - Constant Field Values

### BASE_AXIS

static final int BASE_AXIS

See Also:
  - Constant Field Values

### ORTHOGONAL_AXIS

static final int ORTHOGONAL_AXIS

See Also:
  - Constant Field Values

### ANCILLARY_AXIS

static final int ANCILLARY_AXIS

See Also:
  - Constant Field Values

### HORIZONTAL

static final int HORIZONTAL

See Also:
  - Constant Field Values

### VERTICAL

static final int VERTICAL

See Also:
  - Constant Field Values

### AUTO

static final int AUTO

See Also:
  - Constant Field Values

### FORWARD

static final int FORWARD

See Also:
  - Constant Field Values

### BACKWARD

static final int BACKWARD

See Also:
  - Constant Field Values

### TWO_D

static final int TWO_D

See Also:
  - Constant Field Values

### TWO_5_D

static final int TWO_5_D

See Also:
  - Constant Field Values

### THREE_D

static final int THREE_D

See Also:
  - Constant Field Values

### LEFT

static final int LEFT

See Also:
  - Constant Field Values

### RIGHT

static final int RIGHT

See Also:
  - Constant Field Values

### CENTER

static final int CENTER

See Also:
  - Constant Field Values

### TOP

static final int TOP

See Also:
  - Constant Field Values

### BOTTOM

static final int BOTTOM

See Also:
  - Constant Field Values

### ABOVE

static final int ABOVE

See Also:
  - Constant Field Values

### BELOW

static final int BELOW

See Also:
  - Constant Field Values

### OUTSIDE

static final int OUTSIDE

See Also:
  - Constant Field Values

### INSIDE

static final int INSIDE

See Also:
  - Constant Field Values

### POSITION_MASK

static final int POSITION_MASK
Used to calculate base position via AND operation.

See Also:
  - Constant Field Values

### POSITION_MOVE_LEFT

static final int POSITION_MOVE_LEFT
Used to adjust the position by one half of width or height.

See Also:
  - Constant Field Values

### POSITION_MOVE_RIGHT

static final int POSITION_MOVE_RIGHT

See Also:
  - Constant Field Values

### POSITION_MOVE_ABOVE

static final int POSITION_MOVE_ABOVE

See Also:
  - Constant Field Values

### POSITION_MOVE_BELOW

static final int POSITION_MOVE_BELOW

See Also:
  - Constant Field Values

### MAX

static final int MAX

See Also:
  - Constant Field Values

### MIN

static final int MIN

See Also:
  - Constant Field Values

### VALUE

static final int VALUE

See Also:
  - Constant Field Values

### AVERAGE

static final int AVERAGE

See Also:
  - Constant Field Values

### UNDEFINED

static final int UNDEFINED

See Also:
  - Constant Field Values

### MAJOR

static final int MAJOR

See Also:
  - Constant Field Values

### MINOR

static final int MINOR

See Also:
  - Constant Field Values

### BASE

static final int BASE

See Also:
  - Constant Field Values

### ORTHOGONAL

static final int ORTHOGONAL

See Also:
  - Constant Field Values

### ANCILLARY_BASE

static final int ANCILLARY_BASE

See Also:
  - Constant Field Values

### USER_INTERFACE

static final int USER_INTERFACE

See Also:
  - Constant Field Values

### DESIGN_TIME

static final int DESIGN_TIME

See Also:
  - Constant Field Values

### RUN_TIME

static final int RUN_TIME

See Also:
  - Constant Field Values

### COLLECTION

static final int COLLECTION

See Also:
  - Constant Field Values

### PRIMITIVE_ARRAY

static final int PRIMITIVE_ARRAY

See Also:
  - Constant Field Values

### NON_PRIMITIVE_ARRAY

static final int NON_PRIMITIVE_ARRAY

See Also:
  - Constant Field Values

### BIG_NUMBER_PRIMITIVE_ARRAY

static final int BIG_NUMBER_PRIMITIVE_ARRAY

See Also:
  - Constant Field Values

### NUMBER_PRIMITIVE_ARRAY

static final int NUMBER_PRIMITIVE_ARRAY

See Also:
  - Constant Field Values

### EMPTY_STRING

static final String EMPTY_STRING

See Also:
  - Constant Field Values

### ONE_SPACE

static final String ONE_SPACE

See Also:
  - Constant Field Values

### UNDEFINED_STRING

static final String UNDEFINED_STRING

See Also:
  - Constant Field Values

### NULL_STRING

static final String NULL_STRING

### SOME_NULL

static final int SOME_NULL

See Also:
  - Constant Field Values

### LESS

static final int LESS

See Also:
  - Constant Field Values

### EQUAL

static final int EQUAL

See Also:
  - Constant Field Values

### MORE

static final int MORE

See Also:
  - Constant Field Values

### LEGEND_ENTRY

static final int LEGEND_ENTRY

See Also:
  - Constant Field Values

### LEGEND_SEPERATOR

static final int LEGEND_SEPERATOR

See Also:
  - Constant Field Values

### LEGEND_GROUP_NAME

static final int LEGEND_GROUP_NAME

See Also:
  - Constant Field Values

### LEGEND_MINSLICE_ENTRY

static final int LEGEND_MINSLICE_ENTRY

See Also:
  - Constant Field Values